Skip to content

Get tasks via GET

Request

Retrieves paginated tasks for the authenticated user using query parameters for location filter criteria.

Query
pageinteger, (int32)required

Page number (zero-based)

Default:0
pageSizeinteger, (int32)required

Number of tasks per page

Default:10
locationIdsstring or null

Comma-separated list of location IDs to filter by

businessIdsstring or null

Comma-separated list of business IDs to filter by

productsstring or null

Comma-separated list of product filters

locationGroupIdsstring or null

Comma-separated list of location group IDs to filter by

labelsstring or null

Comma-separated list of labels to filter by

excludedLocationIdsstring or null

Comma-separated list of location IDs to exclude

excludedBusinessIdsstring or null

Comma-separated list of business IDs to exclude

excludedLocationGroupIdsstring or null

Comma-separated list of location group IDs to exclude

excludedLabelsstring or null

Comma-separated list of labels to exclude

filterCategorystring or null

Filter strategy to apply: location-groups, labels, business, or location

querystring or null

Search query string depending on filter category

curl -i -X GET \
  'https://uberall.com/api/home/tasks?page=0&pageSize=10&locationIds=string&businessIds=string&products=string&locationGroupIds=string&labels=string&excludedLocationIds=string&excludedBusinessIds=string&excludedLocationGroupIds=string&excludedLabels=string&filterCategory=string&query=string'

Responses

Tasks retrieved successfully

Bodyapplication/json
tasksArray of objectsrequired

List of tasks

pageinteger, (int32)

Current page number

Example:0
pageSizeinteger, (int32)

Number of items per page

Example:10
sizeinteger, (int32)

Number of items in the current page

Example:10
totalCountinteger, (int64)

Total number of tasks

Example:42
totalHighPriorityCountinteger, (int64)

Total number of high priority tasks

Example:5
totalMediumPriorityCountinteger, (int64)

Total number of medium priority tasks

Example:15
totalLowPriorityCountinteger, (int64)

Total number of low priority tasks

Example:22
Response
{ "tasks": [ {} ], "page": 0, "pageSize": 10, "size": 10, "totalCount": 42, "totalHighPriorityCount": 5, "totalMediumPriorityCount": 15, "totalLowPriorityCount": 22 }